/* ---------------------------------------------------------
    * Name: 
    * Version: 1.0.0
    * Author: Themesflat
    * Author URI: http://themesflat.com 

	* Abstracts variable

    * Reset css styles

    * Components

    * section

    * dashboard

    * Responsive
 ------------------------------------------------------------------------------ */
/*--------- Abstracts variable ---------- */
:root {
  --Black: #000000;
  --White: #ffffff;
  --body-text: #666666;
  --Primary: #30D5C8;
  --Secondary: #266f5d;
  --Text-light: #fff;
  --Text-primary: #121212;
  --Text-secondary: #616161;
  --Text-muted: #a6a7ae;
  --Bg-light: #f8f7f4;
  --Bg-dark: #111111;
  --Line: #e5e7eb;
  --Bg-linear: linear-gradient(
      123.51deg,
      rgba(204, 235, 235, 0.01) -61.8%,
      rgba(215, 237, 237, 0.1) 100%
  );
  --Bg-linear-2: linear-gradient(
      123.51deg,
      rgba(215, 237, 237, 0.1) -61.8%,
      rgba(204, 235, 235, 0.01) 100%
  );
}

[data-color-primary=color-primary-1] {
  --Primary: #45e77b;
}

[data-color-primary=color-primary-2] {
  --Primary: #f8c736;
}

[data-color-primary=color-primary-3] {
  --Primary: #f5772e;
}

[data-color-primary=color-primary-4] {
  --Primary: #2ac6f8;
}

[data-color-primary=color-primary-5] {
  --Primary: #8dca37;
}

[data-color-primary=color-primary-6] {
  --Primary: #6c34fa;
}

[data-color-primary=color-primary-7] {
  --Primary: #f14444;
}

[data-color-primary=color-primary-8] {
  --Primary: #e14392;
}

/*---------- Reset css styles ----------- */
/* ---------------------------------------------------------
    * Name: 
    * Version: 1.0.0
    * Author: Themesflat
    * Author URI: http://themesflat.com 

	* Abstracts variable

    * Reset css styles

    * Components

    * section

    * dashboard

    * Responsive
 ------------------------------------------------------------------------------ */
/*--------- Abstracts variable ---------- */
/* Reset Browsers
-------------------------------------------------------------- */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font: inherit;
  vertical-align: baseline;
  font-family: inherit;
  font-size: 100%;
  font-style: inherit;
  font-weight: inherit;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

html {
  margin-right: 0 !important;
  font-size: 62.5%;
  scroll-behavior: smooth;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
}

*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  background: var(--White);
  line-height: 1;
  padding: 0 !important;
}
body::-webkit-scrollbar {
  width: 3px;
}
body::-webkit-scrollbar-thumb {
  background: var(--On-surface);
  border-radius: 999px;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
main,
nav,
section {
  display: block;
}

ol,
ul {
  list-style: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

caption,
th,
td {
  font-weight: normal;
  text-align: left;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
}

blockquote,
q {
  quotes: none;
}

a img {
  border: 0;
}

img {
  max-width: 100%;
  height: auto;
}

select {
  max-width: 100%;
}

/* General
-------------------------------------------------------------- */
body,
button,
input,
select,
textarea {
  font-family: "Sora", sans-serif;
  font-size: 15px;
  font-weight: 400;
  color: var(--body-text);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  overflow-x: hidden;
  overflow-y: auto;
}

img {
  height: auto;
  max-width: 100%;
  vertical-align: middle;
  -ms-interpolation-mode: bicubic;
}

p {
  font-weight: 400;
  font-size: 16px;
  line-height: 28px;
}

strong,
b,
cite {
  font-weight: bold;
}

dfn,
cite,
em,
i,
blockquote {
  font-style: italic;
}

abbr,
acronym {
  border-bottom: 1px dotted #e0e0e0;
  cursor: help;
}

.btn-link:focus,
.btn-link:hover,
mark,
ins {
  text-decoration: none;
}

sup,
sub {
  font-size: 75%;
  height: 0;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

small {
  font-size: 75%;
}

big {
  font-size: 125%;
}

address {
  font-style: italic;
  margin: 0 0 20px;
}

code,
kbd,
tt,
var,
samp,
pre {
  margin: 20px 0;
  padding: 4px 12px;
  background: #f5f5f5;
  border: 1px solid #e0e0e0;
  overflow-x: auto;
  -webkit-hyphens: none;
  -moz-hyphens: none;
  hyphens: none;
  border-radius: 0;
  height: auto;
}

svg,
svg path {
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

/* Elements
-------------------------------------------------------------- */
html {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

hr {
  margin-bottom: 20px;
  border: dashed 1px #ccc;
}

/* List */
ul,
ol {
  padding: 0;
}

ul {
  list-style: disc;
}

ol {
  list-style: decimal;
}

li > ul,
li > ol {
  margin-bottom: 0;
}

li {
  list-style: none;
}

ul li,
ol li {
  padding: 0;
}

dl,
dd {
  margin: 0 0 20px;
}

dt {
  font-weight: bold;
}

del,
.disable {
  text-decoration: line-through;
  filter: alpha(opacity=50);
  opacity: 0.5;
}

/* Table */
table,
th,
td {
  border: 1px solid #343444;
}

table {
  border-collapse: separate;
  border-spacing: 0;
  border-width: 1px 0 0 1px;
  margin: 0 0 30px;
  table-layout: fixed;
  width: 100%;
}

caption,
th,
td {
  font-weight: normal;
  text-align: left;
}

th {
  border-width: 0 1px 1px 0;
  font-weight: bold;
}

td {
  border-width: 0 1px 1px 0;
}

th,
td {
  padding: 8px 12px;
}

/* Media */
embed,
object,
video {
  margin-bottom: 20px;
  max-width: 100%;
  vertical-align: middle;
}

p > embed,
p > iframe,
p > object,
p > video {
  margin-bottom: 0;
}

/* Forms
-------------------------------------------------------------- */
/* Fixes */
button,
input {
  line-height: normal;
}

button,
input,
select,
textarea {
  font-size: 100%;
  line-height: inherit;
  margin: 0;
  vertical-align: baseline;
}

textarea {
  overflow: auto;
  /* Removes default vertical scrollbar in IE6/7/8/9 */
  vertical-align: top;
  /* Improves readability and alignment in all browsers */
}

input[type=checkbox] {
  display: inline;
}

button,
input[type=button],
input[type=reset],
input[type=submit] {
  line-height: 1;
  cursor: pointer;
  -webkit-appearance: button;
  border: 0;
}

input[type=checkbox],
input[type=radio] {
  padding: 0;
  width: 20px;
  height: 20px;
  border-radius: 6px;
  background: rgba(0, 0, 0, 0);
  cursor: pointer;
  vertical-align: sub;
  /* Addresses excess padding in IE8/9 */
}

input[type=search] {
  -webkit-appearance: textfield;
  /* Addresses appearance set to searchfield in S5, Chrome */
}

input[type=search]::-webkit-search-decoration {
  /* Corrects inner padding displayed oddly in S5, Chrome on OSX */
  -webkit-appearance: none;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
  border: 0;
  padding: 0;
}

/* Remove chrome yellow autofill */
input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px #f7f7f7 inset;
}

/* Reset search styling */
input[type=search] {
  outline: 0;
}

input[type=search]::-webkit-search-decoration,
input[type=search]::-webkit-search-cancel-button,
input[type=search]::-webkit-search-results-button,
input[type=search]::-webkit-search-results-decoration {
  display: none;
}

/* Placeholder color */
::-webkit-input-placeholder {
  color: #171412;
}

::-moz-placeholder {
  color: #171412;
  opacity: 1;
}

/* Since FF19 lowers the opacity of the placeholder by default */
:-ms-input-placeholder {
  color: #171412;
}

/* Typography
-------------------------------------------------------------- */
h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
  font-family: "Sora", sans-serif;
  margin: 0;
  text-rendering: optimizeLegibility;
  font-weight: 500;
  color: var(--Text-light);
}

h1,
.h1 {
  font-size: 80px;
  line-height: 88px;
}

h2,
.h2 {
  font-size: 56px;
  line-height: 68px;
}

h3,
.h3 {
  font-size: 44px;
  line-height: 60px;
}

h4,
.h4 {
  font-size: 32px;
  line-height: 40px;
}

h5,
.h5 {
  font-size: 24px;
  line-height: 30px;
}

h6,
.h6 {
  font-size: 20px;
  line-height: 28px;
}

.text-body-1 {
  font-size: 16px;
  line-height: 28px;
}

.text-body-2 {
  font-size: 18px;
  line-height: 30px;
}

.text-title {
  font-size: 18px;
  line-height: 28px;
}

.text-button {
  font-size: 16px;
  line-height: 24px;
}

.text-caption-1 {
  font-size: 14px;
  line-height: 22px;
}

.text-caption-2 {
  font-size: 12px;
  line-height: 20px;
}

.text-label {
  font-size: 12px;
  line-height: 16px;
}

@media (max-width: 1149px) {
  h1,
  .h1 {
    font-size: 66px;
    line-height: 74px;
  }
  h2,
  .h2 {
    font-size: 46px;
    line-height: 54px;
  }
  h3,
  .h3 {
    font-size: 36px;
    line-height: 44px;
  }
  h4,
  .h4 {
    font-size: 26px;
    line-height: 34px;
  }
}
@media (max-width: 991px) {
  h1,
  .h1 {
    font-size: 55px;
    line-height: 63px;
  }
  h2,
  .h2 {
    font-size: 38px;
    line-height: 46px;
  }
  h3,
  .h3 {
    font-size: 30px;
    line-height: 38px;
  }
}
@media (max-width: 767px) {
  h1,
  .h1 {
    font-size: 45px;
    line-height: 53px;
  }
  h2,
  .h2 {
    font-size: 31px;
    line-height: 39px;
  }
  h3,
  .h3 {
    font-size: 25px;
    line-height: 33px;
  }
  h4,
  .h4 {
    font-size: 18px;
    line-height: 26px;
  }
  h5,
  .h5 {
    font-size: 20px;
    line-height: 28px;
  }
  h6,
  .h6 {
    font-size: 17px;
    line-height: 25px;
  }
  .text-body-1 {
    font-size: 14px;
    line-height: 22px;
  }
  .text-body-2 {
    font-size: 15px;
    line-height: 25px;
  }
  .text-title {
    font-size: 15px;
    line-height: 23pxpx;
  }
}
@media (max-width: 575px) {
  h1,
  .h1 {
    font-size: 36px;
    line-height: 44px;
  }
  h2,
  .h2 {
    font-size: 28px;
    line-height: 36px;
  }
}
/* color-text
-------------------------------------------------------------- */
.text_white {
  color: var(--Text-light);
}

.text_primary-color {
  color: var(--Primary);
}

.text_secondary-color {
  color: var(--Text-secondary);
}

.text_muted-color {
  color: var(--Text-muted);
}

/* font
-------------------------------------------------------------- */
.font-2 {
  font-family: "Nasalization", sans-serif;
}

.font-3 {
  font-family: "Inter", sans-serif;
}

.font-4 {
  font-family: "Epilogue", sans-serif;
}

/* letter-spacing
-------------------------------------------------------------- */
.letter-spacing-1 {
  letter-spacing: 1.1px;
}

/* font-weight
-------------------------------------------------------------- */
.fw-4 {
  font-weight: 400;
}

.fw-5 {
  font-weight: 500;
}

.fw-6 {
  font-weight: 600;
}

.fw-7 {
  font-weight: 700;
}

/* Line Clamp
-------------------------------------------------------------- */
.line-clamp-1 {
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  display: -webkit-box !important;
}

/* link style
-------------------------------------------------------------- */
a {
  display: inline-block;
  text-decoration: none;
  color: var(--Primary);
  cursor: pointer;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
a:hover {
  color: var(--Primary);
  outline: 0;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

.link {
  color: inherit;
}
.link:hover {
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  color: var(--Primary) !important;
}

/* tf-container
-------------------------------------------------------------- */
.tf-container {
  position: relative;
  margin-left: auto;
  margin-right: auto;
  padding-right: 15px;
  padding-left: 15px;
  width: 1500px;
  max-width: 100%;
}
.tf-container .row {
  margin-left: -15px !important;
  margin-right: -15px !important;
}
.tf-container .row > * {
  padding-left: 15px !important;
  padding-right: 15px !important;
}
@media (min-width: 1150px) {
  .tf-container.w-3 {
    width: 1320px;
  }
  .tf-container.w-4 {
    width: 1910px;
  }
  .tf-container.w-5 {
    width: 1590px;
  }
  .tf-container.w-6 {
    width: 1320px;
  }
}
@media (max-width: 1149px) {
  .tf-container {
    width: 66.66666667%;
  }
}
@media (max-width: 991px) {
  .tf-container {
    width: 100% !important;
  }
}

/* grid-layout
-------------------------------------------------------------- */
.tf-grid-layout {
  --spacing: 30px;
  display: grid;
  column-gap: var(--spacing);
  row-gap: var(--spacing);
}
.tf-grid-layout.tf-col-2 {
  grid-template-columns: 1fr 1fr;
}
.tf-grid-layout.tf-col-3 {
  grid-template-columns: repeat(3, 1fr);
}
.tf-grid-layout.tf-col-4 {
  grid-template-columns: repeat(4, 1fr);
}
.tf-grid-layout.tf-col-5 {
  grid-template-columns: repeat(5, 1fr);
}
.tf-grid-layout.tf-col-6 {
  grid-template-columns: repeat(6, 1fr);
}
.tf-grid-layout.tf-col-7 {
  grid-template-columns: repeat(7, 1fr);
}
.tf-grid-layout .wg-pagination {
  grid-column: 1/-1;
  width: 100%;
}
.tf-grid-layout .wd-load {
  grid-column: 1/-1;
}
.tf-grid-layout.gap30 {
  gap: 30px;
}

.tf-grid-layout-2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 15px;
}

@media (min-width: 576px) {
  .tf-grid-layout.sm-col-2 {
    grid-template-columns: repeat(2, 1fr);
  }
  .tf-grid-layout.sm-col-3 {
    grid-template-columns: repeat(3, 1fr);
  }
  .tf-grid-layout.sm-col-4 {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media (min-width: 768px) {
  .tf-grid-layout {
    --spacing: 20px;
    gap: var(--spacing);
  }
  .tf-grid-layout.md-col-2 {
    grid-template-columns: repeat(2, 1fr);
  }
  .tf-grid-layout.md-col-3 {
    grid-template-columns: repeat(3, 1fr);
  }
  .tf-grid-layout.md-col-4 {
    grid-template-columns: repeat(4, 1fr);
  }
}
@media (min-width: 992px) {
  .tf-grid-layout {
    --spacing: 20px;
    gap: var(--spacing);
  }
  .tf-grid-layout.lg-col-2 {
    grid-template-columns: repeat(2, 1fr);
  }
  .tf-grid-layout.lg-col-3 {
    grid-template-columns: repeat(3, 1fr);
  }
  .tf-grid-layout.lg-col-4 {
    grid-template-columns: repeat(4, 1fr);
  }
  .tf-grid-layout.lg-col-5 {
    grid-template-columns: repeat(5, 1fr);
  }
}
@media (min-width: 1025px) {
  .tf-grid-layout {
    --spacing: 20px;
    gap: var(--spacing);
  }
  .tf-grid-layout.llg-col-2 {
    grid-template-columns: repeat(2, 1fr);
  }
  .tf-grid-layout.llg-col-3 {
    grid-template-columns: repeat(3, 1fr);
  }
  .tf-grid-layout.llg-col-4 {
    grid-template-columns: repeat(4, 1fr);
  }
  .tf-grid-layout.llg-col-5 {
    grid-template-columns: repeat(5, 1fr);
  }
}
@media (min-width: 1150px) {
  .tf-grid-layout.xl-col-2 {
    grid-template-columns: repeat(2, 1fr);
  }
  .tf-grid-layout.xl-col-3 {
    grid-template-columns: repeat(3, 1fr);
  }
  .tf-grid-layout.xl-col-4 {
    grid-template-columns: repeat(4, 1fr);
  }
}
@media (min-width: 1441px) {
  .tf-grid-layout.xxl-col-3 {
    grid-template-columns: repeat(3, 1fr);
  }
  .tf-grid-layout.xxl-col-4 {
    grid-template-columns: repeat(4, 1fr);
  }
}
/* Background
-------------------------------------------------------------- */
.bg_dark {
  background-color: var(--Bg-dark);
}

/* gap
-------------------------------------------------------------- */
.gap_4 {
  gap: 4px;
}

.gap_8 {
  gap: 8px;
}

.gap_12 {
  gap: 12px;
}

.gap_24 {
  gap: 24px;
}

/* padding
-------------------------------------------------------------- */
.pt_24 {
  padding-top: 24px;
}

/* margin
-------------------------------------------------------------- */
.mb_4 {
  margin-bottom: 4px;
}

.mb_7 {
  margin-bottom: 7px;
}

.mb_8 {
  margin-bottom: 8px;
}

.mb_11 {
  margin-bottom: 11px;
}

.mb_12 {
  margin-bottom: 12px;
}

.mb_16 {
  margin-bottom: 16px;
}

.mb_19 {
  margin-bottom: 19px;
}

.mb_20 {
  margin-bottom: 20px;
}

.mb_21 {
  margin-bottom: 21px;
}

.mb_24 {
  margin-bottom: 24px;
}

.mb_28 {
  margin-bottom: 28px;
}

.mb_29 {
  margin-bottom: 29px;
}

.mb_30 {
  margin-bottom: 30px;
}

.mb_32 {
  margin-bottom: 32px;
}

.mb_33 {
  margin-bottom: 33px;
}

.mb_34 {
  margin-bottom: 34px;
}

.mb_40 {
  margin-bottom: 40px;
}

.mb_42 {
  margin-bottom: 42px;
}

.mb_43 {
  margin-bottom: 43px;
}

.mb_44 {
  margin-bottom: 44px;
}

.mb_45 {
  margin-bottom: 45px;
}

.mb_47 {
  margin-bottom: 47px;
}

/* Extra classes
-------------------------------------------------------------- */
.z-2 {
  z-index: 2;
}

.spacing-1 {
  padding-top: 50px;
  padding-bottom: 50px;
}
@media (max-width: 1440px) {
  .spacing-1 {
    padding-top: 73px;
    padding-bottom: 0;
  }
}
@media (max-width: 767px) {
  .spacing-1 {
    padding-top: 25px;
    padding-bottom: 25px;
  }
}

.spacing-2 {
  padding-top: 40px;
  padding-bottom: 40px;
}
@media (max-width: 767px) {
  .spacing-2 {
    padding-top: 25px;
    padding-bottom: 25px;
  }
}

.spacing-3 {
  padding-top: 59px;
  padding-bottom: 50px;
}
@media (max-width: 767px) {
  .spacing-3 {
    padding-top: 25px;
    padding-bottom: 25px;
  }
}

.spacing-4 {
  padding-top: 80px;
  padding-bottom: 80px;
}
@media (max-width: 767px) {
  .spacing-4 {
    padding-top: 50px;
    padding-bottom: 50px;
  }
}

.spacing-5 {
  padding-top: 100px;
}
@media (max-width: 767px) {
  .spacing-5 {
    padding-top: 50px;
  }
}

.spacing-6 {
  padding-top: 71px;
}
@media (max-width: 767px) {
  .spacing-6 {
    padding-top: 50px;
  }
}

@media (max-width: 1149px) {
  .xl-hide {
    display: none !important;
  }
}

@media (max-width: 1024px) {
  .llg-hide {
    display: none !important;
  }
}

@media (max-width: 991px) {
  .lg-hide {
    display: none !important;
  }
}

@media (max-width: 767px) {
  .md-hide {
    display: none !important;
  }
}

@media (max-width: 575px) {
  .sm-hide {
    display: none !important;
  }
}

.no-scroll {
  overflow: hidden;
}

.list-icon {
  gap: 8px 12px;
}
.list-icon li > * {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 48px;
  width: 48px;
  border-radius: 50%;
  font-size: 24px;
  color: var(--Text-light);
  background: linear-gradient(123.51deg, rgba(215, 237, 237, 0.1) -61.8%, rgba(204, 235, 235, 0.01) 100%);
}
.list-icon li:hover > * {
  background-color: var(--Text-light);
  color: var(--Text-primary);
}

.logo {
  color: var(--Text-light) !important;
  font-size: 36px;
  line-height: 36px;
  font-family: "Nasalization", sans-serif;
}

.toggle-switch-mode {
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  cursor: pointer;
}
.toggle-switch-mode.active {
  background-color: var(--Text-light);
  color: var(--Text-primary);
}

.body-overlay {
  position: fixed;
  object-fit: cover;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0.3;
}
.body-overlay svg {
  width: 100%;
}
.body-overlay svg rect {
  stroke: var(--Primary);
}
.body-overlay svg linearGradient stop {
  stop-color: var(--Primary);
}
.body-overlay .bg-shape {
  -webkit-mask: url("../images/item/bg-shape.svg") no-repeat center;
  -webkit-mask-size: cover;
  mask: url("../images/item/bg-shape.svg") no-repeat center;
  width: 100%;
  height: 100%;
  background: var(--Primary);
  mask-size: cover;
}

.overlay-link {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

/*------------ Components ---------------- */
/*------------ header ---------------- */
/* ---------------------------------------------------------
    * Name: 
    * Version: 1.0.0
    * Author: Themesflat
    * Author URI: http://themesflat.com 

	* Abstracts variable

    * Reset css styles

    * Components

    * section

    * dashboard

    * Responsive
 ------------------------------------------------------------------------------ */
/*--------- Abstracts variable ---------- */
.header {
  padding-top: 39px;
  isolation: isolate;
  position: fixed;
  left: 0;
  right: 0;
  top: 0px;
  z-index: 1000;
}
@media (max-width: 1149px) {
  .header {
    padding-top: 20px;
  }
}

.header-sidebar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  z-index: 999;
  background: var(--Bg-linear-2);
  backdrop-filter: blur(12px);
  border: 1px solid rgba(255, 255, 255, 0.1019607843);
  border-radius: 160px;
  padding: 12px 20px 12px 12px;
  position: relative;
}
.header-sidebar .box {
  display: flex;
  align-items: center;
  gap: 12px;
}
.header-sidebar .box .avatar {
  /* border-radius: 50%; */
  /* overflow: hidden; */
}
.header-sidebar .nav-menu {
  gap: 20px;
}
.header-sidebar .menu-button {
  font-size: 24px;
  padding: 12px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.1019607843);
  border-top: 1px solid rgba(255, 255, 255, 0.1019607843);
  height: 48px;
  width: 48px;
  color: var(--Text-light);
}
.header-sidebar .list-icon {
  display: flex;
}
.header-sidebar.style-1 {
  max-width: 1320px;
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;
}
.header-sidebar.style-1 .header-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header-sidebar.style-1 .nav-menu {
  display: flex;
  gap: 40px;
}
.header-sidebar.style-horizontal {
  position: sticky;
  top: 20px;
  margin-bottom: 30px;
}
@media (max-width: 575px) {
  .header-sidebar.style-horizontal {
    margin-left: -15px;
    margin-right: -15px;
    margin-top: -20px;
    background: linear-gradient(123.51deg, rgba(215, 237, 237, 0.1) -61.8%, rgba(204, 235, 235, 0.01) 100%);
    border: unset;
    border-radius: unset;
  }
  .header-sidebar.style-horizontal .nav-menu {
    display: none;
  }
}
.header-sidebar.style-vertical {
  margin-top: -20px;
  background: linear-gradient(123.51deg, rgba(215, 237, 237, 0.1) -61.8%, rgba(204, 235, 235, 0.01) 100%);
  backdrop-filter: blur(12px);
  border: unset;
  border-radius: unset;
}
@media (max-width: 575px) {
  .header-sidebar.style-vertical .nav-menu {
    display: none;
  }
}
@media (max-width: 575px) {
  .header-sidebar .box {
    gap: 8px;
  }
  .header-sidebar .box .avatar {
    width: 48px;
  }
}

.right-bar {
  position: fixed;
  right: 42px;
  top: 100px;
  z-index: 99;
}
@media (max-width: 1440px) {
  .right-bar {
    right: 15px;
  }
}
@media (max-width: 1149px) {
  .right-bar {
    right: 15px;
    top: 30px;
  }
  .right-bar.style-1 {
    position: fixed;
    bottom: 20px;
    right: 15px;
    top: unset;
  }
}
@media (max-width: 767px) {
  .right-bar {
    position: fixed;
    right: 20px;
    top: 119px;
  }
}

.nav-right {
  padding: 12px;
  border-radius: 160px;
  background: var(--Bg-linear-2);
  max-width: 72px;
  position: relative;
  margin-bottom: 21px;
}
.nav-right .list-icon {
  gap: 20px;
}
.nav-right .wrap {
  position: absolute;
  overflow: hidden;
  inset: 0;
  border-radius: inherit;
  pointer-events: none;
}
.nav-right .item-shape {
  position: absolute;
  min-width: 100%;
  height: 100%;
  pointer-events: none;
}
.nav-right .item-shape img {
  position: absolute;
  height: 100%;
  min-width: 613px;
  transform: translate(-36%, -50%);
}
@media (max-width: 767px) {
  .nav-right {
    padding: 6px;
    background: linear-gradient(123.51deg, rgba(215, 237, 237, 0.1) -61.8%, rgba(204, 235, 235, 0.01) 100%);
    backdrop-filter: blur(12px);
    border: 1px solid rgba(255, 255, 255, 0.1019607843);
  }
}

.nav-menu li {
  position: relative;
}
.nav-menu li:hover .tooltip {
  opacity: 1;
  visibility: visible;
  transform: translateY(-50%) scale(1);
}
.nav-menu li .nav_link.active {
  background-color: var(--Text-light);
  color: var(--Text-primary);
}
.nav-menu .tooltip {
  position: absolute;
  right: 62px;
  top: 50%;
  transform: translateY(-50%) scale(0.6);
  opacity: 0;
  visibility: hidden;
  padding: 8px 20px;
  color: var(--White);
  border-radius: 8px;
  z-index: 1;
  background: var(--Bg-linear-2);
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  font-family: "Inter", sans-serif;
}
.nav-menu.style-1 {
  align-items: center;
}
.nav-menu.style-1 a {
  background: unset !important;
}
.nav-menu.style-1 li .nav_link {
  transition-delay: 0s;
}
.nav-menu.style-1 li .nav_link.active {
  background-color: unset !important;
  color: var(--Primary);
}
.nav-menu.style-1 .has-child {
  position: relative;
}
.nav-menu.style-1 .has-child > a {
  padding: 21px 0;
}
.nav-menu.style-1 .has-child .submenu {
  position: absolute;
  z-index: 999;
  min-width: max-content;
  background: var(--Bg-dark);
  backdrop-filter: blur(12px);
  border: 1px solid rgba(255, 255, 255, 0.1019607843);
  border-radius: 16px;
  padding: 16px 24px;
  display: grid;
  gap: 12px;
  font-size: 16px;
  line-height: 24px;
  opacity: 0;
  visibility: hidden;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  margin-top: 30px;
  box-shadow: 0px 5px 5px 0px rgba(28, 36, 51, 0.1019607843);
}
.nav-menu.style-1 .has-child .submenu .active a {
  color: var(--Primary);
}
.nav-menu.style-1 .has-child a {
  color: var(--Text-light);
}
.nav-menu.style-1 .has-child a:hover {
  color: var(--Primary);
}
.nav-menu.style-1 .has-child:hover .submenu {
  opacity: 1;
  visibility: visible;
  margin-top: 0;
}
.nav-menu.style-2 li:hover .tooltip {
  transform: translateX(50%) scale(1);
}
.nav-menu.style-2 .tooltip {
  right: 50%;
  top: calc(100% + 26px);
  transform: translateX(50%) scale(0.6);
}
.nav-menu.style-2 .tooltip::after {
  content: "";
  position: absolute;
  background-color: rgb(48, 50, 50);
  clip-path: polygon(49% 80%, 0 100%, 100% 100%);
  width: 13px;
  height: 20px;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
}
.nav-menu.style-3 {
  padding: 20px;
}
.nav-menu.style-3 li:not(:last-child) .nav_link {
  width: 100%;
  padding-bottom: 16px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1019607843);
  margin-bottom: 16px;
}
.nav-menu.style-3 li .nav_link.active {
  background: unset;
  border-color: var(--Text-light);
  color: var(--Primary);
}
.nav-menu.style-3 .menu-item-has-children-mobile {
  width: 100%;
  padding-bottom: 16px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1019607843);
  margin-bottom: 16px;
}
.nav-menu.style-3 .sub-mobile {
  display: grid;
  gap: 12px;
  margin-top: 20px;
}
.nav-menu.style-3 .sub-mobile .active a {
  color: var(--Primary);
}
.nav-menu.style-3 .sub-mobile a {
  color: var(--Text-light);
}

@media (max-width: 767px) {
  .menu-option li > * {
    background-color: var(--Bg-dark);
    color: var(--Text-light);
    border-top: 1px solid rgba(255, 255, 255, 0.1019607843);
  }
}

.header.header-fixed {
  padding-top: 20px;
  top: 0;
  left: 0;
  right: 0;
  position: fixed;
  z-index: 999;
  -webkit-transform: translateY(-150%);
  -khtml-transform: translateY(-150%);
  -moz-transform: translateY(-150%);
  -ms-transform: translateY(-150%);
  -o-transform: translateY(-150%);
  transform: translateY(-150%);
  -webkit-transition: 0.6s cubic-bezier(0.24, 0.74, 0.58, 1);
  -khtml-transition: 0.6s cubic-bezier(0.24, 0.74, 0.58, 1);
  -moz-transition: 0.6s cubic-bezier(0.24, 0.74, 0.58, 1);
  -ms-transition: 0.6s cubic-bezier(0.24, 0.74, 0.58, 1);
  -o-transition: 0.6s cubic-bezier(0.24, 0.74, 0.58, 1);
  transition: 0.6s cubic-bezier(0.24, 0.74, 0.58, 1);
  pointer-events: none;
}
.header.header-fixed .header-sidebar {
  background: var(--Bg-linear-2);
  backdrop-filter: blur(12px);
  border: 1px solid rgba(255, 255, 255, 0.1019607843);
}
@media (max-width: 991px) {
  .header.header-fixed.style-1 {
    padding: 0;
  }
  .header.header-fixed.style-1 .header-sidebar {
    border-radius: unset;
    background: var(--Bg-linear-2);
    backdrop-filter: blur(112px);
    border: none;
    margin-left: -15px;
    margin-right: -15px;
  }
}
.header.header-fixed.style-1 .header-sidebar {
  margin-bottom: 0;
}
@media (min-width: 1150px) {
  .header.header-fixed.style-1 .style-horizontal {
    max-width: 727px;
  }
}
.header.header-fixed:not(.header.header-fixed.is-fixed) .nav-menu.style-3 {
  visibility: hidden;
  opacity: 0;
}
.header.header-fixed.is-fixed {
  -webkit-transform: translateY(0);
  -khtml-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
  pointer-events: all;
}

/*------------ footer ---------------- */
/* ---------------------------------------------------------
    * Name: 
    * Version: 1.0.0
    * Author: Themesflat
    * Author URI: http://themesflat.com 

	* Abstracts variable

    * Reset css styles

    * Components

    * section

    * dashboard

    * Responsive
 ------------------------------------------------------------------------------ */
/*--------- Abstracts variable ---------- */
.tab-slide {
  max-width: 335px;
  padding: 4px;
  background: var(--Bg-linear-2);
  border-radius: 52px;
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.menu-tab {
  position: relative;
}
.menu-tab li .tab-link {
  padding: 12px 27px;
  border-radius: 44px;
  border: 1px solid transparent;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  color: var(--Text-muted);
  font-weight: 600;
}
.menu-tab li.active .tab-link {
  color: var(--Text-light);
}
.menu-tab .item-slide-effect {
  border: 1px solid rgba(255, 255, 255, 0.1019607843);
  background: linear-gradient(123.51deg, rgba(215, 237, 237, 0.1) -61.8%, rgba(204, 235, 235, 0.01) 100%);
  position: absolute;
  height: 100%;
  border-radius: 44px;
  -webkit-transition: all 0.5s;
  -ms-transition: all 0.5s;
  transition: all 0.5s;
  left: 0%;
}
.menu-tab .nav-tab-item {
  position: relative;
  z-index: 1;
}

.flat-animate-tab .tab-content {
  position: relative;
}
.flat-animate-tab .tab-pane {
  display: block;
  pointer-events: none;
  opacity: 0;
  visibility: hidden;
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  right: 0;
  -webkit-transform: translateY(30px);
  -ms-transform: translateY(30px);
  transform: translateY(30px);
  transition-timing-function: ease-in;
  transition-duration: 0.2s;
}
.flat-animate-tab .tab-pane.active {
  pointer-events: auto;
  opacity: 1;
  visibility: visible;
  position: relative;
  z-index: 2;
  -webkit-transform: none;
  -ms-transform: none;
  transform: none;
  transition-timing-function: ease-out;
  transition-duration: 0.3s;
  transition-delay: 0.3s;
}

/*------------ button ---------------- */
/* ---------------------------------------------------------
    * Name: 
    * Version: 1.0.0
    * Author: Themesflat
    * Author URI: http://themesflat.com 

	* Abstracts variable

    * Reset css styles

    * Components

    * section

    * dashboard

    * Responsive
 ------------------------------------------------------------------------------ */
/*--------- Abstracts variable ---------- */
.tf-btn {
  height: 56px;
  padding: 0 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 16px;
  line-height: 24px;
  border-radius: 40px;
  width: max-content;
  gap: 8px;
}
.tf-btn i {
  font-size: 24px;
}
.tf-btn span {
  display: flex;
  align-items: center;
  gap: 8px;
}
.tf-btn.btn-w-full {
  width: 100%;
}
.tf-btn.style-border {
  border: 1px solid transparent;
  position: relative;
  overflow: hidden;
  z-index: 1;
  color: var(--Text-light);
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.tf-btn.style-border .bg_btn {
  position: absolute;
  inset: 0;
  z-index: 1;
  border-radius: 40px;
}
.tf-btn.style-border .bg_btn::before {
  border-top: 1px solid rgba(255, 255, 255, 0.1019607843);
  content: "";
  position: absolute;
  background: var(--Bg-linear-2);
  inset: 0;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  opacity: 1;
  border-radius: inherit;
}
.tf-btn.style-border .bg_btn::after {
  content: "";
  position: absolute;
  border: 1px solid rgba(255, 255, 255, 0.1019607843);
  border-radius: inherit;
  background: var(--Bg-linear-2);
  inset: 0;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  opacity: 0;
}
.tf-btn.style-border .effect-shine {
  background-image: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.3), transparent);
  left: 150%;
  position: absolute;
  top: 0;
  bottom: 0;
  transform: skew(-20deg);
  width: 20%;
}
.tf-btn.style-border .title {
  position: relative;
  z-index: 2;
}
.tf-btn.style-border:hover {
  border-color: rgba(255, 255, 255, 0.1019607843);
  -webkit-box-shadow: 0 8px 20px 0px rgba(255, 255, 255, 0.15);
  box-shadow: 0 8px 20px 0px rgba(255, 255, 255, 0.15);
  -webkit-transform: translate3d(0, -2px, 0);
  transform: translate3d(0, -2px, 0);
}
.tf-btn.style-border:hover .bg_btn::before {
  opacity: 0;
}
.tf-btn.style-border:hover .bg_btn::after {
  opacity: 1;
}
.tf-btn.style-border:hover .effect-shine {
  animation: shine 4.5s cubic-bezier(0.01, 0.56, 1, 1) infinite;
}
.tf-btn.style-1 {
  background-color: var(--Primary);
  color: var(--Text-primary);
  font-family: "Inter", sans-serif;
  font-weight: 600;
}
@media (max-width: 767px) {
  .tf-btn {
    padding: 0px 18px;
    height: 40px;
  }
}

.animate-hover-btn {
  position: relative;
  overflow: hidden;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.animate-hover-btn:after {
  background-image: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.7), transparent);
  content: "";
  left: 150%;
  position: absolute;
  top: 0;
  bottom: 0;
  transform: skew(-20deg);
  width: 200%;
}
.animate-hover-btn:hover {
  -webkit-box-shadow: 0 8px 30px 0 rgba(0, 0, 0, 0.15);
  box-shadow: 0 8px 30px 0 rgba(0, 0, 0, 0.15);
  -webkit-transform: translate3d(0, -2px, 0);
  transform: translate3d(0, -2px, 0);
}
.animate-hover-btn:hover:after {
  animation: shine 0.75s cubic-bezier(0.01, 0.56, 1, 1);
}

@keyframes shine {
  100% {
    left: -200%;
  }
}
/*------------ form ---------------- */
/* ---------------------------------------------------------
    * Name: 
    * Version: 1.0.0
    * Author: Themesflat
    * Author URI: http://themesflat.com 

	* Abstracts variable

    * Reset css styles

    * Components

    * section

    * dashboard

    * Responsive
 ------------------------------------------------------------------------------ */
/*--------- Abstracts variable ---------- */
form {
  position: relative;
  z-index: 30;
}
form textarea,
form input[type=text],
form input[type=password],
form input[type=datetime],
form input[type=datetime-local],
form input[type=date],
form input[type=month],
form input[type=time],
form input[type=week],
form input[type=number],
form input[type=email],
form input[type=url],
form input[type=search],
form input[type=tel],
form input[type=color] {
  outline: 0;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  width: 100%;
  padding: 12px 0 10px;
  font-size: 16px;
  font-weight: 400;
  line-height: 28px;
  background-color: transparent;
  border: unset;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
  color: var(--Text-light);
  overflow: hidden;
  margin-bottom: 0;
  font-family: "Inter", sans-serif;
}
form textarea::placeholder,
form input[type=text]::placeholder,
form input[type=password]::placeholder,
form input[type=datetime]::placeholder,
form input[type=datetime-local]::placeholder,
form input[type=date]::placeholder,
form input[type=month]::placeholder,
form input[type=time]::placeholder,
form input[type=week]::placeholder,
form input[type=number]::placeholder,
form input[type=email]::placeholder,
form input[type=url]::placeholder,
form input[type=search]::placeholder,
form input[type=tel]::placeholder,
form input[type=color]::placeholder {
  color: var(--Text-secondary);
}
form textarea:focus,
form input[type=text]:focus,
form input[type=password]:focus,
form input[type=datetime]:focus,
form input[type=datetime-local]:focus,
form input[type=date]:focus,
form input[type=month]:focus,
form input[type=time]:focus,
form input[type=week]:focus,
form input[type=number]:focus,
form input[type=email]:focus,
form input[type=url]:focus,
form input[type=search]:focus,
form input[type=tel]:focus,
form input[type=color]:focus {
  border-color: var(--Text-light);
}
form button,
form input[type=button],
form input[type=reset],
form input[type=submit] {
  background-color: transparent;
  overflow: hidden;
  padding: 0;
}
form textarea {
  padding-top: 12px;
  height: 92px;
}

.form-contact {
  background: var(--Bg-linear-2);
  position: relative;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  padding: 40px;
  border-radius: 40px;
  overflow: hidden;
  margin-bottom: 44px;
  overflow: hidden;
  z-index: 1;
}
.form-contact .heading-title {
  flex-wrap: wrap;
  gap: 8px 12px;
}
.form-contact .list-tag {
  display: flex;
  gap: 12px;
  flex-wrap: wrap;
  margin-bottom: 35px;
}
.form-contact .list-tag a {
  padding: 12px 24px;
  border-radius: 40px;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  background: linear-gradient(123.51deg, rgba(215, 237, 237, 0.1) -61.8%, rgba(204, 235, 235, 0.01) 100%);
}
.form-contact .item-shape {
  position: absolute;
  top: -45%;
  left: -15%;
  pointer-events: none;
}
@media (max-width: 767px) {
  .form-contact {
    padding: 28px 15px;
  }
  .form-contact .list-tag a {
    padding: 8px 12px;
  }
}

/*------------ slider ---------------- */
/* ---------------------------------------------------------
    * Name: 
    * Version: 1.0.0
    * Author: Themesflat
    * Author URI: http://themesflat.com 

	* Abstracts variable

    * Reset css styles

    * Components

    * section

    * dashboard

    * Responsive
 ------------------------------------------------------------------------------ */
/*--------- Abstracts variable ---------- */
.sw-button {
  height: 36px;
  width: 36px;
  font-size: 20px;
  border-radius: 50%;
  background-color: var(--White);
  color: var(--Text-primary);
  display: flex;
  justify-content: center;
  align-items: center;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  border-top: 1px solid transparent;
}
.sw-button.swiper-button-disabled {
  background: linear-gradient(123.51deg, rgba(215, 237, 237, 0.1) -61.8%, rgba(204, 235, 235, 0.01) 100%);
  border-color: rgba(255, 255, 255, 0.1);
  color: var(--Text-light);
}
@media (min-width: 768px) {
  .sw-button {
    height: 60px;
    width: 60px;
    font-size: 32px;
  }
}

